# Reproducibility repository for computations of optimal perturbations to Runge-Kutta methods

This is a reproducibility repository for the paper 
"Optimal monotonicity--preserving perturbations of a given Runge-Kutta method"
by Inmaculada Higueras, David I. Ketcheson, and Tihamér A. Kocsis.

It includes code that reproduces some of the computational examples in the
paper, along with some additional examples that the authors developed
while writing the manuscript.

The code here relies on standard Python packages like numpy and matplotlib,
as well as on the nodepy package, which can be installed via pip.  The results
in the manuscript were obtained using nodepy version 0.7.

See manuscript at http://arxiv.org/abs/1505.04024.


